nuID2RefSeqID {lumi} | R Documentation

## Map nuID to RefSeq ID

### Description

Map nuID to RefSeq ID based on IDMapping libraries.

### Usage

    nuID2RefSeqID(nuID = NULL, lib.mapping, filterTh = c(Strength1 = 95, Uniqueness = 95), returnAllInfo = FALSE)

### Arguments

`nuID` | a vector of nuIDs. If it is NULL, all mappings will be returned.
`lib.mapping` | the ID mapping library
`filterTh` | the mapping quality filtering threshold used to filter the ID mapping.
`returnAllInfo` | determine to return the detailed mapping information or just the matched RefSeq IDs

### Details

This function is based on the return of `getNuIDMappingInfo` function. It uses mapping quality information to filter out the bad mappings. The names of "filterTh" are basically the field names of "nuID_MappingInfo" table, which include 'Strength1', 'Strength2', 'Uniqueness' and 'Total hits'. For the definition of these metrics, please refer to the IDMapping library or see the reference website.

### Value

returns the matched RefSeq IDs or a data.frame with each row corresponding to an input nuID (when "returnAllInfo" is TRUE).

### Author(s)

Warren Kibbe, Pan Du, Simon Lin

### References

https://prod.bioinformatics.northwestern.edu/nuID/

### See Also

See Also `getNuIDMappingInfo`

### Examples

            ## load example data
            data(example.lumi)
            if (require(lumiHumanIDMapping)) {
                    nuIDs <- featureNames(example.lumi)
                    mappingInfo <- nuID2RefSeqID(nuIDs, lib.mapping='lumiHumanIDMapping')
                    head(mappingInfo)
            }

[Package lumi version 1.10.2 Index]